%define name liblcms
%define fname lcms
%define version 1.15
%define versioninfo 1:14:0
%define release %mkrel 1

%define lib_major 1
%define lib_name %mklibname %{fname} %{lib_major}

Name: %{name}
Summary: Little cms color engine
Version: %{version}
Release: %{release}
License: LGPL
Source0: http://www.littlecms.com/%{fname}-%{version}.tar.bz2
Patch0: %{name}-1.13-bigendian.patch.bz2
URL: http://www.littlecms.com
Group: Graphics
BuildRequires: tiff-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a CMM engine to deal with color management stuff. 

%package -n %{lib_name}
Summary: Little cms color engine
Group: System/Libraries
Obsoletes: %{name}
Provides: %{name} = %version-%release

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with liblcms.

%package -n %{lib_name}-devel
Summary:  Header files and static library for development with LCMS
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Provides: lcms-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package is only needed if you plan to develop or compile
applications which requires the LCMS library.

%prep
%setup -q -n %{fname}-%{version}
%patch0 -p1
chmod 644 doc/* AUTHORS COPYING INSTALL NEWS README.1ST

%build
%configure2_5x
%make 
make check

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_libdir} \
	$RPM_BUILD_ROOT%{_includedir}/lcms \
	$RPM_BUILD_ROOT%{_datadir}/lcms-%{version}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_datadir}/lcms-%{version}
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README.1ST doc/LCMSAPI.TXT doc/TUTORIAL.TXT
%{_bindir}/*
%attr(644,root,root) %{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*

%changelog
* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.15-1mdk
- New release 1.15
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.14-2mdk
- Rebuild

* Sun Jul 10 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.14-1mdk
- Release: 1.14.

* Mon May 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.13-1mdk
- Release: 1.13.
- Rebuilt Patch0.

* Tue Aug 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.10-1mdk
- Release: 1.10.

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.09-6mdk
- Provides: lcms-devel

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.09-5mdk
- rebuild for new devel provides

* Thu Jun 05 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.09-4mdk
- %%patch0 ensure sparc* and alpha are bigendian
- use %%mklibname

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.09-3mdk
- quiet setup
- removed redundant BuildRequires: cgcc

* Wed Feb 19 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.09-2mdk
- Rebuilt.

* Sun Aug 18 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.09-1mdk
- updated to release 1.09.

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.08-4mdk
- Automated rebuild in gcc3.1 environment

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 1.08-3mdk
- BuildRequires

* Sun Jan 20 2002 Daouda LO <daouda@mandrakesoft.com> 1.08-2mdk
- rebuild liblcms.

* Mon Jan 07 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.08-1mdk
- updated to release 1.08.

* Wed Mar 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.07-3mdk
- added dynamic lib package again to calm the cooker ML... ;-)

* Fri Mar 09 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.07-2mdk
- removed dynamic lib package.

* Wed Mar 07 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.07-1mdk
- moved include files to /usr/include/lcms
- 1.06 -> 1.07.
- dynamic libraries no longer built.

* Thu Jan 25 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-3mdk
- new libname scheme.

* Sun Jan 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-2mdk
- reverted %%make to make.

* Tue Dec 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.06-1mdk
- initial release.
